package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.face.entity.FaceEntity;
import com.ycwl.basic.model.pc.face.req.FaceReqQuery;
import com.ycwl.basic.model.pc.face.resp.FaceRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:09
 * 用户人脸
 */
@Mapper
public interface FaceMapper {
    List<FaceRespVO> list(FaceReqQuery faceReqQuery);
    FaceRespVO getById(Long id);
    int add(FaceEntity face);
    int deleteById(Long id);
    int deleteByIds(@Param("list") Long ids);
    int update(FaceEntity face);
}
