package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.scenic.entity.ScenicConfigEntity;
import com.ycwl.basic.model.pc.scenic.entity.ScenicEntity;
import com.ycwl.basic.model.pc.scenic.req.ScenicReqQuery;
import com.ycwl.basic.model.pc.scenic.resp.ScenicRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 10:07
 * 景区管理表
 */
@Mapper
public interface ScenicMapper {
    List<ScenicRespVO> list(ScenicReqQuery scenicReqQuery);
    ScenicRespVO getById(Long id);
    int add(ScenicEntity scenic);
    int deleteById(Long id);
    int update(ScenicEntity scenic);
    int updateStatus(Long id);

    /**
     * 修改景区配置
     * @param scenicConfigEntity
     * @return
     */
    int updateConfigById(ScenicConfigEntity scenicConfigEntity);
}
