package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.source.entity.SourceEntity;
import com.ycwl.basic.model.pc.source.req.SourceReqQuery;
import com.ycwl.basic.model.pc.source.resp.SourceRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 11:21
 * 视频源
 */
@Mapper
public interface SourceMapper {
    List<SourceRespVO> list(SourceReqQuery sourceReqQuery);
    SourceRespVO getById(Long id);
    int add(SourceEntity source);
    int deleteById(Long id);
    int update(SourceEntity source);
}
