package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.scenic.entity.ScenicEntity;
import com.ycwl.basic.model.pc.scenic.req.ScenicReqQuery;
import com.ycwl.basic.model.pc.scenic.resp.ScenicRespVO;
import com.ycwl.basic.model.pc.task.entity.TaskEntity;
import com.ycwl.basic.model.pc.task.req.TaskReqQuery;
import com.ycwl.basic.model.pc.task.resp.TaskRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 14:06
 * 任务列表
 */
@Mapper
public interface TaskMapper {
    List<TaskRespVO> list(TaskReqQuery taskReqQuery);
    TaskRespVO getById(Long id);
    int add(TaskEntity task);
    int deleteById(Long id);
    int update(TaskEntity task);
    int updateStatus(Long id,Integer status);
}
