package com.ycwl.basic.model.pc.scenic.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 10:24
 * 景区管理表
 */
@Data
@TableName("scenic")
public class ScenicEntity {
    @TableId
    private Long id;
    /**
     * 景区名称
     */
    private String name;
    /**
     * 景区介绍
     */
    private String introduction;
    /**
     * 经度
     */
    private BigDecimal longitude;
    /***
     * 纬度
     */
    private BigDecimal latitude;
    /**
     * 半径（km）
     */
    private BigDecimal radius;
    /**
     * 省份
     */
    private String province;
    /**
     * 城市
     */
    private String city;
    /**
     * 区
     */
    private String area;
    /**
     * 详细地址
     */
    private String address;
    /**
     * 状态 1启用0关闭
     */
    private String status;
    private Date createTime;
    private Date updateTime;
}
